# Customer/Agent

## Query customer list

> version=0.0.1\
> bizType=customer.app.CustomerWebApiService.queryCustomerOfAgentPage\
> Access after login

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Agent"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerWebApiService.queryCustomerOfAgentPage":{"post":{"summary":"Query customer list","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerWebApiService.queryCustomerOfAgentPage\nAccess after login","operationId":"applyApi","tags":["Customer/Agent"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"current":{"type":"integer","description":"Current Page"},"size":{"type":"integer","description":"Number of Items per Page"}},"required":["size","current"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"data":{"type":"object","properties":{"records":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Primary key id"},"createTime":{"type":"integer","description":"Creation time"},"updateTime":{"type":"integer","description":"Update Time"},"customerGroupId":{"type":"integer","description":"Customer group ID"},"customerGroupName":{"type":"string","description":"Customer Group Name"},"status":{"type":"integer","description":"Customer Status, 1 Normal, 2 Disabled, 3 Deleted, 4 Closed Account, 5 Locked, 6 Closing Account"},"companyId":{"type":"integer","description":"Company ID"},"customerNo":{"type":"string","description":"Client number"},"phone":{"type":"string","description":"Phone Number"},"phoneArea":{"type":"string","description":"Phone area code"},"registerSource":{"type":"integer","description":"Registration source: 1=mobile web: H5, 2=pc web: PC_Web, 3=system & backend registration: System, 4=Android native app: Android, 5=iOS native app: iOS, 6=HarmonyOS: HOS, 7=pc windows client: PC_Win, 8=pc mac client: PC_Mac, 9=other"},"unitId":{"type":"integer","description":"Organization ID"},"firstName":{"type":"string","description":"First name"},"lastName":{"type":"string","description":"Last name"},"email":{"type":"string","description":"Email"},"customerType":{"type":"integer","description":"Customer Type 0 Default 1 Agent"}},"required":["id","createTime","updateTime","customerGroupId","customerGroupName","status","companyId","customerNo","phone","phoneArea","registerSource","unitId","firstName","lastName","email","customerType"]},"description":"Data List"},"total":{"type":"integer","description":"Total"},"size":{"type":"integer","description":"Page Size"},"current":{"type":"integer","description":"Current Page"}},"required":["records","total","size","current"],"description":"Paging Data Body"},"fail":{"type":"boolean"},"ok":{"type":"boolean"},"bizCode":{"type":"string","description":"Module identifier code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"}},"required":["code","msg","tm","trace","data","fail","ok"]}}},"headers":{}}}}}}}
```

## Customer registration

> version=0.0.1\
> bizType=customer.app.CustomerWebApiService.registerOfAgentShareLink\
> Accessible to visitors\
> Agent share link, customer registration

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Customer/Agent"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.CustomerWebApiService.registerOfAgentShareLink":{"post":{"summary":"Customer registration","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.CustomerWebApiService.registerOfAgentShareLink\nAccessible to visitors\nAgent share link, customer registration","operationId":"applyApi","tags":["Customer/Agent"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"country":{"type":"string","description":"Country"},"lang":{"type":"string","description":"Language information, default en-US"},"phoneArea":{"type":"string","description":"Phone area code","maxLength":15},"loginName":{"type":"string","description":"Account: email/phone number, used in conjunction with type","maxLength":50},"pwd":{"type":"string","description":"Password, MD5 encryption"},"type":{"type":"integer","description":"Registration method: 1=email, 2=phone number","format":"int32","minimum":1,"maximum":2},"registerDevice":{"type":"string","description":"Registered device model"},"registerSource":{"type":"integer","format":"int32","minimum":1,"description":"Registration source: 1=mobile web: H5, 2=pc web: PC_Web, 3=system & backend registration: System, 4=Android native app: Android, 5=iOS native app: iOS, 6=HarmonyOS: HOS, 7=pc windows client: PC_Win, 8=pc mac client: PC_Mac, 9=other"},"utmSource":{"type":"string","description":"Advertising source (account opening link parameter source)"},"utmMedium":{"type":"string","description":"Advertising medium (account opening link parameter medium)"},"utmCampaign":{"type":"string","description":"Advertising campaign (account opening link parameter campaign)"},"utmContent":{"type":"string","description":"Advertising group (account opening link parameter content)"},"utmTerm":{"type":"string","description":"Keyword (account opening link parameter term)"},"customerGroupId":{"type":"integer","format":"int64","description":"Client group ID"},"thirdServerCode":{"type":"string","description":"Unique identifier of third-party system (input agent customer number)"}},"required":["registerSource","type","country","loginName","thirdServerCode"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"object","properties":{"customerNo":{"type":"string","description":"Customer account"},"list":{"type":"array","description":"KYC authentication list information","items":{"$ref":"#/components/schemas/KycAuthVO"}},"companyId":{"type":"integer","format":"int64","description":"Company ID"},"email":{"type":"string","description":"Email"},"phone":{"type":"string","description":"Phone"},"phoneArea":{"type":"string","description":"Phone area code"},"name":{"type":"string","description":"Name"},"loginPassStatus":{"type":"string","description":"Set password reminder flag, 1 for password required, 2 for not required"},"payPassStatus":{"type":"string","description":"Payment password existence status, 1 for non-existent, 2 for existent"},"customerGroupId":{"type":"integer","format":"int64","description":"Client group ID"},"country":{"type":"string","description":"Country"},"id":{"type":"integer","format":"int64","description":"Customer ID"},"optional":{"type":"integer","format":"int32","description":"Customized flag 0 not added 1 added"},"companyKycStatus":{"type":"integer","format":"int32","description":"Company KYC account opening status, 1 for opened, 2 for not opened"},"thirdServerCode":{"type":"string","description":"Unique identifier from third-party system"},"source":{"type":"string","description":"Source"},"capitalInStatus":{"type":"integer","format":"int32","description":"Deposit status: 1. Deposited, 2. Not deposited"},"openAccountType":{"type":"integer","format":"int32","description":"Account type: 0. Individual 1. Enterprise "},"companyType":{"type":"string","description":"Company type"},"associationCompanyId":{"type":"integer","format":"int64","description":"Associated company Id"},"registerTime":{"type":"integer","format":"int64","description":"Registration Time"}}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}},"headers":{}}}}}},"components":{"schemas":{"KycAuthVO":{"type":"object","properties":{"levelCode":{"type":"string","description":"Level Code"},"openAccountType":{"type":"integer","format":"int32","description":"Account type: 0. Individual 1. Enterprise "},"levelName":{"type":"string","description":"Level Name"},"pathName":{"type":"string","description":"KYC Path Name"},"pathCode":{"type":"string","description":"KYC Path Code"},"elementList":{"type":"array","description":"KYC Information List","items":{"$ref":"#/components/schemas/KycAuthElementVO"}}}},"KycAuthElementVO":{"type":"object","properties":{"elementCode":{"type":"string","description":"KYC element code"},"elementName":{"type":"string","description":"KYC element name"},"showType":{"type":"string","description":"KYC element display type"},"extend":{"type":"string","description":"KYC element extended attribute"},"elementValue":{"type":"string","description":"KYC element value"},"elementValueInputGroup":{"type":"string","description":"KYC element value, combination"},"elementCodeInputGroup":{"type":"string","description":"KYC element code, combination"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/client-api/more.../customer-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
